import request from '@/utils/request'

export function login(username, password, code, uuid) {
  return request({
    url: 'auth/login3',
    method: 'post',
    data: {
      username,
      password
      // code,
      // uuid
    }
  })
}
// 登录方法(SaaS)
export function loginSaaS(data) {
  return request({
    url: 'auth/login3',
    method: 'post',
    data
  })
}
export function loginSSO(username, password) {
  return request({
    url: 'auth/login2',
    method: 'post',
    data: {
      username,
      password
    }
  })
}

export function getInfo() {
  return request({
    url: 'auth/info',
    method: 'get'
  })
}

export function getCodeImg() {
  return request({
    url: 'auth/code',
    method: 'get'
  })
}

export function logout() {
  return request({
    url: 'auth/logout',
    method: 'delete'
  })
}
